Retrieve a spam test
Retrieves the full result of a spam test, including inbox placement, blacklists, authentication and content analysis. Poll this endpoint after sending your test email to the seedlist recipients returned by POST /v1/spam_tests.
Path Parameters
- Type: stringpublic
_id requiredThe public ID of the spam test (the
public_idreturned byPOST /v1/spam_tests).
Responses
- application/json
- application/json
Request Example for get/v1/spam_tests/{public_id}
curl http://api.mailreach.co/api/v1/spam_tests/f5fedb04092cd9 \
--header 'X-Api-Key: YOUR_SECRET_TOKEN'
{
"public_full_id": "mlrch-c7a47e3e94e98b6fd78d60a",
"public_id": "c7a47e3e94e98b6fd78d60a",
"results": [
{
"id": 6,
"email": "siobhan@reachsecret.com",
"desc": "Google Workspace with smart features",
"first_name": "Siobhan",
"provider": "gmail",
"received_in": "INBOX",
"raw_headers": "string"
}
],
"paid": true,
"created_at": "2026-04-24T12:09:25.365Z",
"first_message_content": "string",
"test_type": "btob",
"completed": false,
"score": 5.7,
"btob_score": 10,
"btoc_score": 0,
"final_score": 10,
"analysis_results": "string",
"domain": "string",
"summary": {
"INBOX": 16
},
"tld": "string",
"blacklist_links": [
"string"
],
"blacklist_sending_ip": [
"string"
],
"sending_provider": "google.com",
"sending_reverse_dns_value": "mail-sor-f41.google.com",
"automated": false,
"automated_test_id": 8,
"spam": false,
"seedlist": 1,
"is_warming": false,
"autofix_triggered": false,
"autofix_completed": false,
"account": "string"
}